Bug 1397103 - gparted not working under Wayland
Summary: gparted not working under Wayland
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gparted   
(Show other bugs)
Version: 26
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
: 1367745 1405380 1424765 1446481 (view as bug list)
Depends On:
Blocks: WaylandRelated
TreeView+ depends on / blocked
 
Reported: 2016-11-21 15:51 UTC by Mike Basinger
Modified: 2017-11-11 03:03 UTC (History)
14 users (show)

Fixed In Version: gparted-0.30.0-1.fc26 gparted-0.30.0-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-11-03 13:29:44 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mike Basinger 2016-11-21 15:51:44 UTC
gparted in Fedora 25 does not work under Wayland, still works under x.org.

Comment 1 Nick Lee 2016-11-21 16:54:57 UTC
# gparted
Created symlink /run/systemd/system/-.mount → /dev/null.
Created symlink /run/systemd/system/boot.mount → /dev/null.
Created symlink /run/systemd/system/home.mount → /dev/null.
Created symlink /run/systemd/system/proc-fs-nfsd.mount → /dev/null.
Created symlink /run/systemd/system/run-user-1000.mount → /dev/null.
Created symlink /run/systemd/system/run-user-42.mount → /dev/null.
Created symlink /run/systemd/system/tmp.mount → /dev/null.
Created symlink /run/systemd/system/var-lib-machines.mount → /dev/null.
Created symlink /run/systemd/system/var-lib-nfs-rpc_pipefs.mount → /dev/null.
No protocol specified

(gpartedbin:3006): Gtk-WARNING **: cannot open display: :0
Removed /run/systemd/system/-.mount.
Removed /run/systemd/system/boot.mount.
Removed /run/systemd/system/home.mount.
Removed /run/systemd/system/proc-fs-nfsd.mount.
Removed /run/systemd/system/run-user-1000.mount.
Removed /run/systemd/system/run-user-42.mount.
Removed /run/systemd/system/tmp.mount.
Removed /run/systemd/system/var-lib-machines.mount.
Removed /run/systemd/system/var-lib-nfs-rpc_pipefs.mount.

Comment 2 Mukundan Ragavan 2016-11-22 02:31:43 UTC

*** This bug has been marked as a duplicate of bug 1274451 ***

Comment 3 Mustafa Muhammad 2016-11-29 08:55:09 UTC
Given the discussion in:
https://bugzilla.redhat.com/show_bug.cgi?id=1274451
And:
https://fedoraproject.org/wiki/Common_F25_bugs#wayland-root-apps

I think this should be reopened, since the fix should be in gparted itself.

Comment 4 Mukundan Ragavan 2016-11-30 01:24:04 UTC
I have been following this as well. As it pertains to gparted, this should really be upstream though.

We can use this bug as a tracker. So, reopened.

Comment 5 Mukundan Ragavan 2016-12-04 02:23:36 UTC
*** Bug 1367745 has been marked as a duplicate of this bug. ***

Comment 6 Christian Stadelmann 2016-12-04 08:40:44 UTC
GParted upstream refuses to fix this bug, since they lack manpower and probably since in their opinion it is no bug in GParted. See https://bugzilla.gnome.org/show_bug.cgi?id=758131

Two workarounds from this upstream bug, have already landed in the wikipage:

> 1) Do not use Wayland.  Instead select either "GNOME" or "GNOME Classic" at the login screen.
> 
> 2) Allow all local users to display applications on your desktop.  Before running GParted type the following into a terminal window:
> 
> xhost +local:


(In reply to Mukundan Ragavan from comment #4)
> We can use this bug as a tracker. So, reopened.
That's what bug #1274451 was intended for…

Comment 7 Mukundan Ragavan 2016-12-16 15:48:57 UTC
*** Bug 1405380 has been marked as a duplicate of this bug. ***

Comment 8 Fedora End Of Life 2017-02-28 10:38:46 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 9 Mukundan Ragavan 2017-03-05 18:08:32 UTC
*** Bug 1424765 has been marked as a duplicate of this bug. ***

Comment 10 Mukundan Ragavan 2017-05-28 03:06:08 UTC
*** Bug 1446481 has been marked as a duplicate of this bug. ***

Comment 11 Mike Fleetwood 2017-10-11 08:24:00 UTC
GParted 0.30.0 has just been released which includes an interim fix to
enable running GParted as root under Wayland.
(https://gparted.org/news.php?item=214)

Thanks,
Mike Fleetwood (GParted Developer)

Comment 12 Fedora Update System 2017-10-24 00:26:40 UTC
gparted-0.30.0-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e8aa27718a

Comment 13 Fedora Update System 2017-10-24 00:41:34 UTC
gparted-0.30.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3d268ddd16

Comment 14 Fedora Update System 2017-10-26 01:31:45 UTC
gparted-0.30.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3d268ddd16

Comment 15 Fedora Update System 2017-11-03 13:29:44 UTC
gparted-0.30.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-11-11 03:03:33 UTC
gparted-0.30.0-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.